### Method

# Ggit Commit get_subject

#### Declaration [src]

    const gchar*
    ggit_commit_get_subject (
      GgitCommit* commit
    )

#### Description [src]

Gets the subject of `commit`. The subject of a commit is the first line of the commit message (as per convention). The resulting subject is always encoded in UTF-8.

#### Return value

Type: `const gchar*`

The subject of the commit.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.